<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCrmProductProductsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: crm_product_products
         */
        Schema::create('crm_product_products', function ($table) {
            $table->increments('id');
            $table->integer('category_id')->nullable();
            $table->integer('brand_id')->nullable();
            $table->string('name', 255)->nullable();
            $table->string('code', 255)->nullable();
            $table->string('price', 100)->nullable();
            $table->string('whatsapp', 190)->nullable();
            $table->string('catalouge', 200)->nullable();
            $table->string('quantity', 190)->nullable();
            $table->string('description', 4000)->nullable();
            $table->string('payment_method', 255)->nullable();
            $table->string('payment_link', 255)->nullable();
            $table->string('min_order', 30)->nullable();
            $table->string('feature', 50)->nullable();
            $table->string('stock', 140)->nullable();
            $table->string('status', 140)->nullable();
            $table->longText('images')->nullable();
            $table->string('user_id', 11)->nullable();
            $table->string('user_type', 100)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('crm_product_products');
    }
}
